Skip to main content
`Ctrl`+`K`

# PetscHMapIVPut

Set a key in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVPut(PetscHMapIV ht, PetscInt key, PetscHashIter *iter, PetscBool *missing)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameters

- iter - Iterator referencing the value for key

- missing - Boolean indicating whether the key was missing

## See Also

`PetscHMapIVIterSet()`, `PetscHMapIVQuerySet()`, `PetscHMapIVSet()`, `PetscHMapIVSetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages